Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ > Struct Template Reference

`#include <igemm_traits.h>`

## Public Types
typedef int8_t | Scalar
| The input scalar. More...
typedef int8_t | MultiplyAddScalar
| The scalar stored in shared memory. More...
typedef IgemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kColumnMajor, int8_t const, Shape< 1, GemmConfig_::OutputTile::kH, GemmConfig_::OutputTile::kD >, Shape< 1, ShapeCount< typename GemmConfig_::Warps >::kCount, GemmConfig_::kWarpSize >, GemmConfig_::kScalarsPerLdgB > | GlobalTileTraits
| The traits class to build the iterator to load data from global memory for B^T. More...
typedef IgemmGlobalIteratorAb< GlobalTileTraits, Index_ > | GlobalLoadIterator
| The global load iterator. More...
typedef GemmSharedStoreWithSkewTileAbTraits< int8_t, Shape< GemmConfig_::kStages, GemmConfig_::OutputTile::kD/4, GemmConfig_::OutputTile::kH *4 >, typename GlobalTileTraits::Threads, kScalarsPerStsB, 16 > | SharedStoreTileTraits
| The traits class to build the iterator to store data to shared memory for B^N. More...
typedef GemmSharedLoadTileBTraits< int8_t const, typename GemmConfig_::OutputTile, typename GemmConfig_::Warps, typename GemmConfig_::MultiplyAdd::ThreadsPerWarp, typename GemmConfig_::InstructionShape, GemmConfig_::kStages, 16, SharedStoreTileTraits::kSkew > | SharedLoadTileTraits
| The traits class to build the iterator to load from shared memory for B^N. More...

## Static Public Attributes
static MatrixLayout::Kind const | kLayout = MatrixLayout::kColumnMajor
| The layout. More...
static int const | kScalarsPerStsB = 16
| The number of scalars per LDG/STS/LDS for B. More...

## Member Typedef Documentation

## ◆ GlobalLoadIterator

template<typename GemmConfig_ , typename Index_ >

typedef IgemmGlobalIteratorAb<GlobalTileTraits, Index_> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::GlobalLoadIterator

## ◆ GlobalTileTraits

template<typename GemmConfig_ , typename Index_ >

typedef IgemmGlobalTileTraits< GemmOperand::kB, MatrixLayout::kColumnMajor, int8_t const, Shape<1, GemmConfig_::OutputTile::kH, GemmConfig_::OutputTile::kD>, Shape<1, ShapeCount<typename GemmConfig_::Warps>::kCount, GemmConfig_::kWarpSize>, GemmConfig_::kScalarsPerLdgB> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::GlobalTileTraits

## ◆ MultiplyAddScalar

template<typename GemmConfig_ , typename Index_ >

typedef int8_t cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::MultiplyAddScalar

## ◆ Scalar

template<typename GemmConfig_ , typename Index_ >

typedef int8_t cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::Scalar

## ◆ SharedLoadTileTraits

template<typename GemmConfig_ , typename Index_ >

typedef GemmSharedLoadTileBTraits< int8_t const, typename GemmConfig_::OutputTile, typename GemmConfig_::Warps, typename GemmConfig_::MultiplyAdd::ThreadsPerWarp, typename GemmConfig_::InstructionShape, GemmConfig_::kStages, 16, SharedStoreTileTraits::kSkew> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::SharedLoadTileTraits

## ◆ SharedStoreTileTraits

template<typename GemmConfig_ , typename Index_ >

typedef GemmSharedStoreWithSkewTileAbTraits< int8_t, Shape<GemmConfig_::kStages, GemmConfig_::OutputTile::kD / 4, GemmConfig_::OutputTile::kH * 4>, typename GlobalTileTraits::Threads, kScalarsPerStsB, 16> cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::SharedStoreTileTraits

## Member Data Documentation

## ◆ kLayout

template<typename GemmConfig_ , typename Index_ >

MatrixLayout::Kind const cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::kLayout = MatrixLayout::kColumnMajor
| static

## ◆ kScalarsPerStsB

template<typename GemmConfig_ , typename Index_ >

int const cutlass::gemm::IgemmTileTraitsHelperB< MatrixLayout::kColumnMajor, GemmConfig_, Index_ >::kScalarsPerStsB = 16
| static

The documentation for this struct was generated from the following file:

- igemm_traits.h